

REM RAMFLD2.BAS
REM Program to convert geomag data to RAM file
REM Written by C.Wallis G3CWV
REM Created 28-June-1996
REM V 1.0 30-August-1998
REM Basic Interpreter required ... QBASIC

REM Input files   ... Data format
REM                     Blank line
REM                     LAT, LON    +90 .. -90, +180 ... -180 deg
REM                     Inclination deg
REM                     Total field nT

REM Output file   ...
REM ------
grid = 2: REM Specify grid size
mult = 180 / grid / grid: REM Useful factor
INPUT "Enter geomag file from maggrid.exe  "; in.File$
OPEN in.File$ FOR INPUT AS #1
INPUT "Enter name of output file "; out.File$
OPEN out.File$ FOR RANDOM AS #2 LEN = 8
FIELD #2, 4 AS mag$, 4 AS incln$
INPUT #1, line$: REM Read first line & ignore it
DO
INPUT #1, lat, lon
INPUT #1, angle
INPUT #1, magn
INPUT #1, line$: REM Read blank line after data
magn = magn / 1000
IF lat < 0 THEN lat = lat + 180
IF lon < 0 THEN lon = lon + 360
index# = lon * mult + lat / grid + 1
LSET mag$ = MKS$(magn)
LSET incln$ = MKS$(angle)
PUT #2, index#
LOOP UNTIL LOF(1) - SEEK(1) < 10
CLOSE
SYSTEM

